Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Added more instructions for verifying that Command Line Tools are ins…

…talled. Refs #241
  • Loading branch information...
commit 45bb2b1528a182c8578f38498e5e7634826c32ea 1 parent 0ab6f80
@josegonzalez josegonzalez authored
Showing with 4 additions and 2 deletions.
  1. +4 −2 README.md
View
6 README.md
@@ -8,9 +8,11 @@ Bugs inevitably happen - none of us is running EVERY conceivable setup - but hop
- Upgrade your Mac to the latest patch version. So if you are on `10.7.0`, upgrade to `10.7.4` etc.
- Ensure XCode is installed and up to date.
-- If you are using XCode 4, install the `Command Line Tools`.
+- If you are using XCode 4, install the `Command Line Tools`. If you think you have it installed, please ensure that an update of XCode or OS X did not remove them. You can verify this by launching XCode, opening preferences, going to the Downloads tab, and clicking the `Install` button:
+![command line tool installation](http://f.cl.ly/items/411X3k0m2O1p1U2Y0I30/Image%202012.11.15%2011:32:41%20AM.png)
- If you already have the `Command Line Tools`, try installing the [`OS X GCC Installer`](https://github.com/kennethreitz/osx-gcc-installer/). Many users have reported success after doing so.
-- Delete your `~/.pearrc` file before attempting to install a `PHP` version, as the pear step will fail if an existing, incompatible version exists.
+- Delete your `~/.pearrc` file before attempting to install a `PHP` version, as the pear step will fail if an existing, incompatible version exists. We try to detect and remove them ourselves, but sometimes this fails.
+- Run `brew doctor` and fix any issues you can.
- If you are using Mountain Lion `10.8.x`, please install [XQuartz](http://xquartz.macosforge.org/landing/) so that the `png.h` header exists for compilation of certain brews. Mountain Lion removes X11, which contained numerous headers. A permanent fix is forthcoming.
- If you upgraded to Mountain Lion `10.8.x`, please also upgrade to the latest XCode, 4.4.
- File an awesome bug report, using the information in the next section.
Please sign in to comment.
Something went wrong with that request. Please try again.